Support » Algemene WordPress vragen » na upload 5.5 werkt button media toevoegen niet

  • Na upgrade van wp5.5 werkt mijn button “media toevoegen” niet meer.
    Ik moet nu vele omwegen gebruiken om afbeeldingen in te voegen.
    Kan dit opgelost worden?

    De pagina waar ik hulp bij nodig heb: [log in om de link te zien]

8 reacties aan het bekijken - 1 tot 8 (van in totaal 8)
  • Moderator Jeroen Rotty

    (@jeroenrotty)

    Support Moderator

    Grote kans dat je thema of een plugin op je site niet compatible is met WP 5.5. De kans is zelfs nog groter dat het te maken heeft met de drop van het jQuery Migrate script. Je zou kunnen kijken of het werkt als je tijdelijk een ander (standaard) thema activeert. Indien niet, zou het nog een plugin kunnen zijn.

    De handigste manier om te onderzoeken waar de oorzaak zit (thema of een plugin), is via de Health Check plugin Troubleshooting modus, die switcht naar een standaard thema en deactiveert alle plugins (voor jouw sessie/gebruiker, site-bezoekers zien gewoon je site). Dan kan je kijken of het werkt. Indien ja, switch je terug naar jouw thema en test je opnieuw. Werkt het dan nog, dan kan je plugin per plugin activeren en steeds testen tot je opnieuw het probleem hebt, dan weet je dat die plugin de oorzaak is.

    Ja kan de Health Check plugin hier vinden: https://wordpress.org/plugins/health-check/.

    Hallo Jeroen,
    Ik heb van alles geprobeerd om de button aan de praat te krijgen, maar geen resultaat.
    Met een nieuw thema lukte het wel, maar als ik die moet invoeren moet deze geheel ombouwen/laten ombouwen. Is er geen andere manier om de button weer aan de praat te krijgen?

    Moderator Jeroen Rotty

    (@jeroenrotty)

    Support Moderator

    Je thema is gebouwd met Artisteer die niet meer werkt in 5.5. Dat bevestig je met het feit dat het wel werkt als je een ander thema installeert. Probeer eens als tijdelijke oplossing dan het jQuery Migrate plugin te installeren en activeren, die kun je hier vinden:https://wordpress.org/plugins/enable-jquery-migrate-helper/. Als dat de oorzaak is van het het niet meer werken van het thema, kan je hier nog even mee verder, maar uiteindelijk zou je beter kijken naar een thema die 1) moderne code heeft en 2) steeds updates krijgt voor vernieuwingen van WordPress en andere plugins.

    Mijn vraag is nu waarom wordt Aristeer niet meer geupdate? Toen de site gebouwd werd was er geen sprake van dat deze er uit zou gaan. Als ik nu een ander thema moet gaan gebruiken hoe kan ik dan zeker zijn dat deze er ook niet uitgaat? Tevens moet ik nu een progammeur gaan betalen om de websites om te bouwen.

    Moderator Jeroen Rotty

    (@jeroenrotty)

    Support Moderator

    Artisteer zelf, het software pakket krijgt misschien nog updates, ik ben er niet mme vertrouwd. Hun ‘nieuws’ pagina heeft slechts berichten uit 2015, dus ik vermoed dat het een stille dood aan het sterven is …

    Daarnaast is WordPress continu in ontwikkeling en hetzelfde heb je met alle plugins en thema’s. Je weet op voorhand nooit hoe lang een thema ondersteuning zal krijgen van de ontwikkelaars. Als je een (nieuw) thema kiest, kijk dan hoe actief de ontwikkelingen zijn. De meest populaire thema’s hebben bv. ook een premium versie die betalend is, zo kunnen de ontwikkelaars ook nieuwe versies uitbrengen.

    Misschien mag ik ook even iets toevoegen. Zelf gebruikte ik ook altijd Artisteer voor mijn website.
    Omdat ik ook gemerkt heb dat dit niet goed meer werkt ben ik overgestapt op een template van WordPress.
    Het enige wat ik heb veranderd is de homepage, de rest bleef bij mij gewoon, na wat zoeken naar een goed template, hetzelfde.
    Weet niet of dit voor jou ook zo is, maar zou het zeker proberen.

    Volgens mij heb ik het probleem kunnen oplossen door jQuery Migrate Helper.
    Tot nu toe werkt het.
    Bedankt

    Moderator Jeroen Rotty

    (@jeroenrotty)

    Support Moderator

    Dat snap ik, maar als je kunt onderzoeken waar het eigenlijke probleem zit, met name je thema of een specifieke plugin, kun je de ontwikkelaars op de hoogte brengen om zich compatibel te maken met 5.5.

8 reacties aan het bekijken - 1 tot 8 (van in totaal 8)